> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Style

> Update a style. Staff/Administrator only.



## OpenAPI

````yaml /api/openapi-cutmake.json patch /styles/{style_id}
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /styles/{style_id}:
    patch:
      tags:
        - Master Data
      summary: Update Style
      description: Update a style. Staff/Administrator only.
      operationId: update_style_styles__style_id__patch
      parameters:
        - name: style_id
          in: path
          required: true
          schema:
            type: string
            title: Style Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/schemas__master_data__StyleUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/schemas__master_data__StyleResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    schemas__master_data__StyleUpdate:
      properties:
        documentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentid
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        clientId:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientid
        refId:
          anyOf:
            - type: string
            - type: 'null'
          title: Refid
        merchandiser:
          anyOf:
            - type: string
            - type: 'null'
          title: Merchandiser
        picture:
          anyOf:
            - type: string
            - type: 'null'
          title: Picture
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        skus:
          anyOf:
            - items:
                $ref: '#/components/schemas/StyleSKUCreate'
              type: array
            - type: 'null'
          title: Skus
      type: object
      title: StyleUpdate
      description: Schema for updating a style
    schemas__master_data__StyleResponse:
      properties:
        id:
          type: string
          title: Id
        documentId:
          type: string
          title: Documentid
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        clientId:
          type: string
          title: Clientid
        clientName:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientname
        refId:
          type: string
          title: Refid
        merchandiser:
          anyOf:
            - type: string
            - type: 'null'
          title: Merchandiser
        picture:
          anyOf:
            - type: string
            - type: 'null'
          title: Picture
        description:
          type: string
          title: Description
        skus:
          anyOf:
            - items:
                $ref: '#/components/schemas/schemas__master_data__StyleSKUResponse'
              type: array
            - type: 'null'
          title: Skus
        rfqs:
          anyOf:
            - items:
                $ref: '#/components/schemas/StyleRFQResponse'
              type: array
            - type: 'null'
          title: Rfqs
        costSheets:
          anyOf:
            - items:
                $ref: '#/components/schemas/StyleCostSheetResponse'
              type: array
            - type: 'null'
          title: Costsheets
        boms:
          anyOf:
            - items:
                $ref: '#/components/schemas/StyleBOMListItemResponse'
              type: array
            - type: 'null'
          title: Boms
      type: object
      required:
        - id
        - documentId
        - clientId
        - refId
        - description
      title: StyleResponse
      description: Schema for style response - uses camelCase per API_STANDARDS
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    StyleSKUCreate:
      properties:
        documentId:
          type: string
          title: Documentid
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
        size:
          anyOf:
            - type: string
            - type: 'null'
          title: Size
      type: object
      required:
        - documentId
      title: StyleSKUCreate
      description: Schema for creating a style SKU
    schemas__master_data__StyleSKUResponse:
      properties:
        id:
          type: string
          title: Id
        documentId:
          type: string
          title: Documentid
        masterStyleId:
          type: string
          title: Masterstyleid
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
        size:
          anyOf:
            - type: string
            - type: 'null'
          title: Size
      type: object
      required:
        - id
        - documentId
        - masterStyleId
      title: StyleSKUResponse
      description: Schema for style SKU response
    StyleRFQResponse:
      properties:
        id:
          type: string
          title: Id
        client:
          type: string
          title: Client
        requestedDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Requesteddate
        responseDue:
          anyOf:
            - type: string
            - type: 'null'
          title: Responsedue
        status:
          type: string
          title: Status
        quotedPrice:
          type: number
          title: Quotedprice
          default: 0
      type: object
      required:
        - id
        - client
        - status
      title: StyleRFQResponse
    StyleCostSheetResponse:
      properties:
        id:
          type: string
          title: Id
        version:
          type: integer
          title: Version
        currency:
          type: string
          title: Currency
        materialCost:
          type: number
          title: Materialcost
        processingCost:
          type: number
          title: Processingcost
        totalCost:
          type: number
          title: Totalcost
        status:
          type: string
          title: Status
      type: object
      required:
        - id
        - version
        - currency
        - materialCost
        - processingCost
        - totalCost
        - status
      title: StyleCostSheetResponse
    StyleBOMListItemResponse:
      properties:
        id:
          type: string
          title: Id
        version:
          type: integer
          title: Version
        materialName:
          type: string
          title: Materialname
        type:
          type: string
          title: Type
        consumption:
          type: number
          title: Consumption
        unitCost:
          type: number
          title: Unitcost
        totalCost:
          type: number
          title: Totalcost
      type: object
      required:
        - id
        - version
        - materialName
        - type
        - consumption
        - unitCost
        - totalCost
      title: StyleBOMListItemResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````